Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Canon MP210 in Ubuntu 8.10  (gelezen 1945 keer)

besbas

  • Gast
Canon MP210 in Ubuntu 8.10
« Gepost op: 2009/02/09, 15:08:31 »
Helemaal nieuw in Ubuntu en na de installatie probeer ik een Canon MP210 printer te installeren onder Ubuntu 8.10.
Alle informatie die ik zover heb gevonden betreft een installatie onder een oude versie van Ubuntu. (sites van Canon en Canon Australie).
De grootste uitdaging heb ik met bestandsnamen/locaties en mogelijk onvoldoende rechten.

Bijvoorbeeld:
- cupsys heet nu cups (met herstarten kwam ik hier achter ([user@zzz /yyy]$ sudo /etc/init.d/cupsys restart)
- [user@zzz /yyy]$ sudo /usr/sbin/lpadmin -p MP210 -m canonmp210.ppd -v cnij_usb:/dev/usblp0 -E. hierbij krijg ik de foutmelding 'Niet mogelijk om PPD bestand te kopieren'.

Kan iemand mij misschien op weg helpen, het zou toch jammer zijn als ik na een halve dag ploeteren met een printerinstallatie de hoop op Ubuntu al op moet geven.



Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Canon MP210 in Ubuntu 8.10
« Reactie #2 Gepost op: 2009/02/09, 15:41:34 »
Canon is vaak een drama op Linux. Ik denk dat deze printer al meer voorbij is gekomen, ik raad je daarom aan eens de zoekfunctie van dit forum te gebruiken.

besbas

  • Gast
Re: Canon MP210 in Ubuntu 8.10
« Reactie #3 Gepost op: 2009/02/10, 12:09:57 »
Bedankt, het was alsnog een heel gepuzzel omdat niet alles onder 8.10 werkte maar in grote lijnen kun je gewoon de instructies volgen van de Canon handleidingen voor de printerdriver en de scangear driver. (te downloaden van de Canon Australie website).

Er is inderdaad informatie op het forum en Internet bekend maar het wijkt toch allemaal een beetje van mekaar af. Ik hoop dat anderen met onderstaande punten hun voordeel kunnen doen.

Aandachtspunten:
- libcupsys2 heb ik moeten installeren via synaptic (nadat ik eerst libcupsys2.dev had geinstalleerd)
- herstarten van cups in 8.10 gaat niet via command:
sudo /etc/init.d/cupsys restart maar via commando sudo /etc/init.d/cups restart
- registreren van de printer naar de spooler werkt niet met commando 'sudo /usr/sbin/lpadmin -p MP210 -m canonmp210.ppd -v cnij_usb:/dev/usblp0 -E' maar wel met commando 'sudo /usr/sbin/lpadmin -p MP210'
- overigens heb ik overal MP210 vervangen door MP210-series want zo verscheen de printer na het rebooten van Ubuntu naast de MP210.
- de scangear software bestaat ook uit 2 delen (deb files) echter de naam komt niet helemaal overeen met de instructie van de Canon website. Het 1e bestand heet 'scangearmp-common_1.10-x_i386.deb' en het 2e 'scangearmp-mp210series_1.10-x_i386.deb' maar dit laatste vind je op de canon website onder naam 'IJ Printer Driver Ver. 2.80 for Linux(debian Package for MP210series)'.

Alles werkt nu alleen ben ik er nog niet uit wat de toegevoegde waarde is het ppd bestand en of ik dit nodig heb.
Wanneer ik nl het commando 'sudo /usr/sbin/lpadmin -p MP210-series -m MP210-series.ppd -v cnij_usb:/dev/usblp0 -E' uitvoer krijg ik de melding 'lpadmin: Unable to copy PPD file!'

Wat mij betreft werkt alles nu naar behoren.




besbas

  • Gast
Re: Canon MP210 in Ubuntu 8.10 - PPD bestand kopieren niet mogelijk
« Reactie #4 Gepost op: 2009/03/09, 12:39:01 »
Nadat ik Ubuntu opnieuw geinstalleerd heb en nog een poging gedaan heb om de mp210 volledig te installeren ben ik benieuwd of iemand me alsnog kan helpen met het kopieren van het ppd bestand.

Volgens instructie voer ik het volgende commando uit:

sudo /usr/sbin/lpadmin -p MP210 -m canonmp210.ppd -v cnij_usb:/dev/usblp0 -E

en krijg steeds de melding:
Niet mogelijk om PPD-bestand te kopiëren!

het .ppd bestand staat in /usr/share/ppd en  cnij_usb staat in /usr/lib/cups/backend

het volledig benoemen van de bestandspaden of het uitvoeren in de directories levert nog steeds geen resultaat op.

Indien iemand me kan helpen met de oplossing, graag ik kan dan een complete instructie maken voor het installeren van de MP210 in het Nederlands voor andere gebruikers

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Canon MP210 in Ubuntu 8.10
« Reactie #5 Gepost op: 2009/03/09, 13:04:57 »
Kijk eens bij deze link http://forum.ubuntu-nl.org/hardware-en-drivers/canon-mp210/

Met vriendelijke groet,

Gijs
In der Beschränkung zeigt sich der Meister.

besbas

  • Gast
Re: Canon MP210 in Ubuntu 8.10
« Reactie #6 Gepost op: 2009/03/09, 16:30:43 »
Hallo Gijs,

Bedankt voor de tip, het genoemde probleem werd hierdoor nog steeds niet opgelost. Het enige wat niet in de officiele installatieprocedure van Canon niet stond was het commando:
'sudo ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3 '
Dit heb ik uitgevoerd en daarna kreeg ik bij het lpadmin commando nog steeds dezelfde foutmelding.

Via cups http://127.0.0.1:631 zag ik wel een printer en zag in 'systeem->beheer->afdrukken' ook de printer met poort 'usb://Canon/MP210%20series'

Deze heb ik in het lpadmin commando als volgt ingevuld :
/usr/share/ppd$ sudo lpadmin -p MP210 -P canonmp210.ppd -v usb://Canon/MP210%20series -E

en nu kreeg ik geen foutmelding.

Als newbie is het allemaal onduidelijk wat de commando precies doen maar de printer werkt in ieder geval.

Mijn conclusie:
- volg de procedure zoals door Canon beschreven en vul de juist folder en usb poort in en volgens mij werkt het dan.

groeten,
Besbas